org.icefaces.ace.component.submenu

## Interface ISubmenu

- All Known Implementing Classes:
    Submenu, SubmenuBase

      public interface ISubmenu

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getIcon()`
    `java.lang.String` | `getLabel()`
    `java.lang.String` | `getOnclick()`
    `java.lang.Integer` | `getPositionLeft()`
    `java.lang.Integer` | `getPositionTop()`
    `java.lang.String` | `getRelativeTo()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `boolean` | `isDisabled()`
    `void` | `setDisabled(boolean disabled)`
    `void` | `setIcon(java.lang.String icon)`
    `void` | `setLabel(java.lang.String label)`
    `void` | `setOnclick(java.lang.String onclick)`
    `void` | `setPositionLeft(java.lang.Integer positionLeft)`
    `void` | `setPositionTop(java.lang.Integer positionTop)`
    `void` | `setRelativeTo(java.lang.String relativeTo)`
    `void` | `setStyle(java.lang.String style)`
    `void` | `setStyleClass(java.lang.String styleClass)`

- - ### Method Detail

    - #### setDisabled

          void setDisabled(boolean disabled)

    - #### isDisabled

          boolean isDisabled()

    - #### setIcon

          void setIcon(java.lang.String icon)

    - #### getIcon

          java.lang.String getIcon()

    - #### setLabel

          void setLabel(java.lang.String label)

    - #### getLabel

          java.lang.String getLabel()

    - #### setOnclick

          void setOnclick(java.lang.String onclick)

    - #### getOnclick

          java.lang.String getOnclick()

    - #### setPositionLeft

          void setPositionLeft(java.lang.Integer positionLeft)

    - #### getPositionLeft

          java.lang.Integer getPositionLeft()

    - #### setPositionTop

          void setPositionTop(java.lang.Integer positionTop)

    - #### getPositionTop

          java.lang.Integer getPositionTop()

    - #### setRelativeTo

          void setRelativeTo(java.lang.String relativeTo)

    - #### getRelativeTo

          java.lang.String getRelativeTo()

    - #### setStyle

          void setStyle(java.lang.String style)

    - #### getStyle

          java.lang.String getStyle()

    - #### setStyleClass

          void setStyleClass(java.lang.String styleClass)

    - #### getStyleClass

          java.lang.String getStyleClass()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.